Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetGroupCallInviteLink

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.HttpUrl>
it.tdlight.jni.TdApi.GetGroupCallInviteLink

Enclosing class:
  TdApi

public static final class TdApi.GetGroupCallInviteLink extends TdApi.Function<TdApi.HttpUrl>
Returns invite link to a video chat in a public chat.

Returns `HttpUrl`

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`canSelfUnmute`
Pass true if the invite link needs to contain an invite hash, passing which to joinGroupCall would allow the invited user to unmute themselves.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`groupCallId`
Group call identifier.

## Constructor Summary

Constructors
Constructor
Description
`GetGroupCallInviteLink()`
Returns invite link to a video chat in a public chat.
`GetGroupCallInviteLink(int groupCallId, boolean canSelfUnmute)`
Returns invite link to a video chat in a public chat.
`GetGroupCallInviteLink(DataInput input)`
Returns invite link to a video chat in a public chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### groupCallId

public int groupCallId
Group call identifier.

### canSelfUnmute

public boolean canSelfUnmute
Pass true if the invite link needs to contain an invite hash, passing which to joinGroupCall would allow the invited user to unmute themselves. Requires groupCall.canBeManaged group call flag.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetGroupCallInviteLink

public GetGroupCallInviteLink()
Returns invite link to a video chat in a public chat.

Returns `HttpUrl`

### GetGroupCallInviteLink

public GetGroupCallInviteLink(int groupCallId, boolean canSelfUnmute)
Returns invite link to a video chat in a public chat.

Returns `HttpUrl`

Parameters:
  `groupCallId` - Group call identifier.
  `canSelfUnmute` - Pass true if the invite link needs to contain an invite hash, passing which to joinGroupCall would allow the invited user to unmute themselves. Requires groupCall.canBeManaged group call flag.

  Returns `HttpUrl`

### GetGroupCallInviteLink

public GetGroupCallInviteLink(DataInput input) throws IOException
Returns invite link to a video chat in a public chat.

Returns `HttpUrl`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`